QGIS Application - Bug report #20640
User Profiles Menu interface customization
2018-11-27 12:33 PM - Hanif Rifai

Status: Closed

Priority: Normal

Assignee:

Category: Customisation Framework

Affected QGIS version:3.4.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution: fixed/implemented

Copied to github as #: 28460

Description

Interface customization does not apply to User Profiles Menu (under mSettingsMenu) and its children because the object name is not set.

QgisApp:refreshProfileMenu [[

https://github.com/qgis/QGIS/blob/6cc41a947418cf7e96c8c8¢70833435b880a7634/src/app/qgisapp.cpp#lL2558]]

QgisApp::createProfileMenu [[

https://github.com/qgis/QGIS/blob/6cc41a947418cf7e96c8c8¢70833435b880a7634/src/app/qgisapp.cpp#lL2601]]

History

#1 - 2018-11-27 12:34 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please submit the path as Pull Request on GitHub, here it won't be reviewed.

#2 - 2018-11-27 12:37 PM - Hanif Rifai

Giovanni Manghi wrote:

Please submit the path as Pull Request on GitHub, here it won't be reviewed.

Ok

#3 - 2019-01-23 05:30 PM - Harrissou Santanna
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Fixed in commit:a6d23449

Files

0002-set-user-profile-menu-object-name.patch

2024-04-28

1.68 KB 2018-11-27
